Subject: Re: bug#53989: 29.0.50; Gnus searches broken

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 13 Feb 2022 22:06:49 -0800

Michael Heerdegen <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
>> When edebugging, the path stuff seemed to work ok, I saw that the
>> article numbers like "9076" were processed individually.
>
> I had edebugged gnus-search-indexed-parse-output.
>
> When I replace the (member group groups) test there with just t, the
> search group gets a positive article count in the group buffer, unlike
> before.  But I still can't read the articles in that created search
> group.

Right, the problem is the erroneous group names: even if you let the
search results pass through, the group name is still wrong, and the
article won't be found.